@import "https://www.whitewaterwest.com/wp-content/themes/rawnet/app/stylesheets/creative-posts-grid.css";

/* Main template */
body{
    background: url(https://www.whitewaterwest.com/wp-content/uploads/2024/08/bg-grid.png) repeat top left;
    max-width: none !important;
}
h1{
    font-size: 5.6em;
    margin-bottom: 0;
}
h2{
    font-size: 3em;
    margin-bottom: 0.5em;
}
h3{
    font-size: 2em;
    margin-bottom: 0.5em;
}
.sticky{
    max-width: none;
}
.header{
    background-color: transparent;
    border-bottom: 2px solid black;
    max-width: none;
}
.sticky--active .header{
    background-color: white;
}
.header .header__main{
    padding-top: 0;
    padding-bottom: 0;
}
.header .container{
    padding-top: 30px;
    padding-bottom: 30px;
}
.header__main > div > div{
    flex-direction: row-reverse;
}
.header__main .navigation__list a{
    text-transform: uppercase;
    font-size: 20px;
    font-weight: 500;
    text-decoration: none;
    padding: 10px 15px;
}
body .footer{
    background-color: black;
    color: white;
    padding-top: 100px;
    padding-bottom: 100px;
    height: auto;
}
body .footer:after{
    display:none;
}
.section.no-padding{
    padding: 0;
}
.section.no-side-space{
    margin-left: -20px;
    margin-right: -20px;
}
@media(min-width: 1171px){
    #main-content > .container,
    .header__main > .container{
        border-left: 2px solid black;
        border-right: 2px solid black;
    }
    .header__main .navigation__list a:hover,
    .header__main .navigation__list .current-menu-item a{
        background-color: black;
        color: white;
    }
    .menu-item-button a{
        background-color: #19d3c5;
        color: white;
    }
    .menu-item.border-right,
    .menu-item.border-right a{
        margin-right: 15px;
    }
    .menu-item.border-right:after{
        content: '';
        position: absolute;
        top: 0;
        bottom: 0;
        border-right: 2px solid black;
    }
}
@media(max-width: 1170px){
    h1{
        font-size: 3.6em;
        margin-bottom: 0.5em;
    }
    h2{
        font-size: 2em;
        margin-bottom: 0.5em;
    }
    h3{
        font-size: 1.5em;
        margin-bottom: 0.5em;
    }
    .header__main .navigation__list li{
        margin-bottom: 5px;
        text-align: center;
    }
}
/* End Main Template */

/* Single Template */
body.single-creative-post #main-content > .container{
    padding: 60px;
}
.type-creative-post{
    padding: 40px;
    background-color: white;
    box-shadow: 1px 1px 5px 1px rgba(0, 0, 0, 0.3);
    font-size: 1.25em;
}
.type-creative-post .creative-posts__date{
    margin-bottom: 40px;
}
.creative-posts__text blockquote,
.creative-posts__text body,
.creative-posts__text button,
.creative-posts__text dd,
.creative-posts__text dl,
.creative-posts__text dt,
.creative-posts__text fieldset,
.creative-posts__text figcaption,
.creative-posts__text figure,
.creative-posts__text h4,
.creative-posts__text h5,
.creative-posts__text h6,
.creative-posts__text ol,
.creative-posts__text p,
.creative-posts__text ul{
    margin-bottom: 0.9em;
}
.creative-post__author{
    padding-top: 20px;
    border-top: 1px  solid #ebebeb;
    display: flex;
    align-items: center;
    gap: 20px;
}
.creative-post__author-left{
    flex: 0 0 140px;
}
.creative-post__author-avatar img{
    width: 100%;
    height: auto;
    border-radius: 100%;
}
.creative-post__author-bio{
    flex: 1;
}
.creative-post__author-bio h4{
    font-weight: bold;
    margin-bottom: 10px;
}
.creative-post__author-right{
    flex: 0 0 400px;
}
.creative-post__author-meta{
    margin-bottom: 20px;
}
.creative-posts__button{
    text-align: right;
}
.creative-posts__button a{
    padding: 10px;
    font-size: 1.0em;
    font-weight: bold;
    text-transform: uppercase;
    color: white;
    background-color: #19d3c5;
    border: 1px solid white;
    text-decoration: none;
    display: inline-block;
    text-align: center;
    min-width: 150px;
}
.creative-posts__button a:hover{
    background-color: black;
    color: white;
}
.creative-posts-related{
    margin-top: 80px;
    position: relative;
}
.creative-posts-related__heading{
    font-size: 1.56em;
    font-weight: bold;
}
.creative-posts__related-button{
    position: absolute;
    top: 0;
    right: 0;
}
.creative-posts-related .creative-posts__grid{
    margin-top: 40px;
}
@media(max-width: 1170px){
    body.single-creative-post #main-content > .container{
        padding: 20px;
    }
    .creative-post__author-left{
        flex: 0 0 60px;
    }
}
@media(max-width: 767px){
    .type-creative-post{
        padding: 10px;
    }
    .creative-post__author{
        flex-direction: column;
    }
    .creative-post__author-right {
        flex: 0 0 auto;
    }
    .creative-posts__view{
        text-align: center;
    }
    .creative-posts-related .creative-posts__button a{
        min-width: 0;
    }
}
/* End Single Template */


/* Form Style */
body .gfield.hidden_label .field-label,
body .gfield.hidden_label .gfield_label{
    display: none;
}
body .rawselect{
    font-size: 1em;
    color: black;
}
body .ginput_container .medium.rawselect{
    padding: 0;
}
body .rawselect--is-touch,
body .rawselect__trigger{
    border-color: black;
    color: inherit;
    font-size: 1em;
    border-radius: 0;
    height: 50px;
    white-space: normal;
}
body .rawselect__options{
    border-color: inherit;
    max-height: 300px;
}
body .rawselect__option{
    white-space: normal;
}
body .rawselect__option--is-hovered,
body .rawselect__option--is-disabled,
body .rawselect__option[data-value=""],
body .rawselect__option--is-selected{
    background-color: black;
}
body .rawselect--is-touch:before,
body .rawselect__trigger:before{
    border-color: black !important;
}
.ginput_container input[type=text],
.ginput_container input[type=email],
.ginput_container input[type=tel],
.ginput_container input[type=number],
.ginput_container textarea{
    font-size: 1em;
    line-height: 1.4;
    padding: 10px;
    width: 100%;
    box-sizing: border-box;
}
.gform_fields .field-label,
.gform_fields .gfield_label{
    font-size: 1em;
    margin-bottom: 0.5em;
}
h2.gform_submission_error{
    font-size: 1em;
    color: red;
}
/* End Form Style */